BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/assign-products
postProduct CategoryAdmin BFF

/bff/product-category/assign-products

mode=main sets the category as main_category_id (replaces existing); addRel links via shop__product_rel_category; removeRel removes the rel link.

Product CategorypostBffProduct-categoryAssign-products

Parameters

JSON body

Request body

application/json
categoryCodestringRequired
productCodesstring[]Required
mode"main" | "addRel" | "removeRel"Required

Response schema

1 status code documented

200Success
affectednumberRequired
missingProductsstring[]Required

Response example

application/json
{
  "affected": 0,
  "missingProducts": [
    "string"
  ]
}

Request example

POST /bff/product-category/assign-products

post
curl -X POST "https://api.bizkithub.com/bff/product-category/assign-products" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "categoryCode": "example_categoryCode",
  "productCodes": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key